package com.ym.mec.biz.dal.dto;

import com.ym.mec.common.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;

public class MusicGroupExportDto extends BaseEntity {

    @ApiModelProperty(value = "分部")
    private String organName;

    @ApiModelProperty(value = "乐团")
    private String musicGroupId;

    @ApiModelProperty(value = "乐团")
    private String musicGroupName;

    @ApiModelProperty(value = "乐团主管")
    private String eduName;

    @ApiModelProperty(value = "出勤率")
    private String attendanceRate = "0.00%";

    @ApiModelProperty(value = "达标率")
    private String standardRate = "0.00%";

    @ApiModelProperty(value = "作业提交率")
    private String homeworkCommitRate = "0.00%";

    @ApiModelProperty(value = "成团人数")
    private int groupMemberNum;

    @ApiModelProperty(value = "新增人数")
    private int addStuNum;

    @ApiModelProperty(value = "退团人数")
    private int quitStuNum;

    @ApiModelProperty(value = "在读人数")
    private int normalNum;

    @ApiModelProperty(value = "乐团总人数")
    private int totalNum;

    @ApiModelProperty(value = "流失率")
    private String lostRate = "0.00%";

    public String getLostRate() {
        return lostRate;
    }

    public void setLostRate(String lostRate) {
        this.lostRate = lostRate;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public String getMusicGroupName() {
        return musicGroupName;
    }

    public void setMusicGroupName(String musicGroupName) {
        this.musicGroupName = musicGroupName;
    }

    public String getEduName() {
        return eduName;
    }

    public void setEduName(String eduName) {
        this.eduName = eduName;
    }

    public String getAttendanceRate() {
        return attendanceRate;
    }

    public void setAttendanceRate(String attendanceRate) {
        this.attendanceRate = attendanceRate;
    }

    public String getStandardRate() {
        return standardRate;
    }

    public void setStandardRate(String standardRate) {
        this.standardRate = standardRate;
    }

    public String getHomeworkCommitRate() {
        return homeworkCommitRate;
    }

    public void setHomeworkCommitRate(String homeworkCommitRate) {
        this.homeworkCommitRate = homeworkCommitRate;
    }

    public int getGroupMemberNum() {
        return groupMemberNum;
    }

    public void setGroupMemberNum(int groupMemberNum) {
        this.groupMemberNum = groupMemberNum;
    }

    public int getAddStuNum() {
        return addStuNum;
    }

    public void setAddStuNum(int addStuNum) {
        this.addStuNum = addStuNum;
    }

    public int getQuitStuNum() {
        return quitStuNum;
    }

    public void setQuitStuNum(int quitStuNum) {
        this.quitStuNum = quitStuNum;
    }

    public int getNormalNum() {
        return normalNum;
    }

    public void setNormalNum(int normalNum) {
        this.normalNum = normalNum;
    }

    public int getTotalNum() {
        return totalNum;
    }

    public void setTotalNum(int totalNum) {
        this.totalNum = totalNum;
    }
}
